Test::LDSB::ValSym1 Class Reference

Test for value symmetry More...

## Static Public Member Functions

static void | setup (Home home, IntVarArray &xs)
| Setup problem constraints and symmetries.
static std::vector< IntArgs > | expectedSolutions (void)
| Compute list of expected solutions.

## Static Public Attributes

static const int | n = 4
| Number of variables.
static const int | l = 0
| Lower bound of values.
static const int | u = 3
| Upper bound of values.

## Detailed Description

Test for value symmetry

Definition at line 850 of file ldsb.cpp.

## Member Function Documentation

## setup()

void Test::LDSB::ValSym1::setup | ( | Home | home,
|  | IntVarArray & | xs )

inline static

Setup problem constraints and symmetries.

Definition at line 859 of file ldsb.cpp.

## expectedSolutions()

std::vector< IntArgs > Test::LDSB::ValSym1::expectedSolutions | ( | void |  | ) |

inline static

Compute list of expected solutions.

Definition at line 867 of file ldsb.cpp.

## Member Data Documentation

## n

const int Test::LDSB::ValSym1::n = 4

static

Number of variables.

Definition at line 853 of file ldsb.cpp.

## l

const int Test::LDSB::ValSym1::l = 0

static

Lower bound of values.

Definition at line 855 of file ldsb.cpp.

## u

const int Test::LDSB::ValSym1::u = 3

static

Upper bound of values.

Definition at line 857 of file ldsb.cpp.

The documentation for this class was generated from the following file:

- test/ldsb.cpp